:root{
    --primary-color: #008080;
    --bcg-color: #f5f5f5;
    --text-color: #fff;
    --border-radius: 5px;
    --padding:20px;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family:  Arial, Helvetica, sans-serif;
    background-color: var(--bcg-color);
}

header{
    background-color: var(--primary-color);
    padding: var(--padding);
    color: var(--text-color);
}

header h1{
    font-size: 36px;
}

main{
    min-height: 80vh;
    padding: var(--padding);
    max-width: 800px;
    margin:  0 auto;
}

main form{
    display: flex;
    justify-content: center;
}

form input[type="text"]{
    flex-grow: 1;
}

form input[type="text"], button{
    border: none;
    font-size:  16px;
    font-weight: 500;
    border-radius: var(--border-radius);
    padding: calc(var(--padding)/2);
}

form button{
    background-color: var(--primary-color);
    color: var(--text-color);
    margin-left: 10px;
    cursor: pointer;
}

.result{
    display: none;
    background-color: white;
    margin-top: 10px;
    padding: 20px;
    border-radius: 5px;
    position: relative;
}

.result .span{
    color: rgb(96, 96, 96);
    font-style: italic;
    margin-bottom: 10px;
}

.result p{
    margin-top: 10px;
}

.result ul{
    margin-left: 40px;
    margin-top: 10px;
}

.volumeBtn{
    position: absolute;
    top: 20px;
    right: 20px;
    cursor: pointer;
}

.errorDiv{
    position: absolute;
    top: -70px;
    display: none;
    width: 100%;
    display: flex;
    justify-content: center;
}

.errorDiv.active{
    top: 0;
}

.content{
    position: relative;
    background-color: red;
    padding: 10px 30px;
    color: #fff;
    font-family: Arial, Helvetica, sans-serif;
    margin-top: 7px;
    font-size: 18px;
    border-radius: 5px;
}

.errorDiv.active .content::after{
    content: "";
    width: 100%;
    display: block;
    position: absolute;
    left: 0;
    bottom: 0;
    border-radius: 0 0 5px 5px;
    height: 4px;
    background-color: #fff;
    animation: timeout 2s linear;
}

@keyframes timeout {
    100%{
        width: 0;
    }
}

.wordh1{
    word-wrap: break-word;
    font-size: 25px;
    color: var(--primary-color);
    margin-bottom: 7px;
    padding: 0 55px 0 0;
}
